using System;

namespace idktakmicenje
{
    class Program
    {
        static void Main(string[] args)
        {
            double T = double.Parse(Console.ReadLine());
            double l = 0;
            while (T != 0)
            {
                double n = double.Parse(Console.ReadLine());
                if (n <= 10) 
                {
                    l = n;
                }
                else if (n <= 24 && n >= 10)
                {
                    l = 10;
                }
                else if (n >= 25 && n <= 30)
                {
                    if (n == 30)
                    {
                        l = 10 + (n - 25);
                    }
                    else { }
                    l = 10 + (n - 24);
                }
                else if (n >= 30 && n <= 34 )
                {
                    l = 15;
                }
                Console.WriteLine("{0}", 0);
            }
        }
    }
}